<!-- -------------------- ./verif/tsa_index.html -------------------- -->

<!DOCTYPE html>
<html lang="fr">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />

  <link rel="stylesheet" href="/pub/dsfr/dsfr.min.css" />
  <link rel="stylesheet" href="/pub/dsfr/utility/icons/icons.css" />
  <link rel="stylesheet" href="/pub/css/open-signature.css" />

  <title>Vérification d'horodatage</title>

  <script type="module" src="/pub/dsfr/dsfr.module.min.js" defer></script>
  <script type="text/javascript" nomodule src="/pub/dsfr/dsfr.nomodule.min.js" defer></script>
</head>

<body class="os-wrapper">
  <header role="banner" class="fr-header os-header">
    <div class="fr-header__body">
      <div class="fr-header__body-row">
        <div class="fr-header__brand">
          <div class="fr-header__brand-top">
            <a href="">
              <div class="fr-header__logo os-logo">
                <a href="/mgt/Apropos"><img src="/pub/img/logosig2--dark.png" alt="Logo Signature" /></a>
              </div>
            </a>
            <div class="fr-header__navbar">
              <button class="fr-btn--menu fr-btn" data-fr-opened="false" aria-controls="modal-main-menu" aria-haspopup="menu" title="Menu" id="fr-btn-menu-mobile">
                Menu
              </button>
            </div>
          </div>
          <div class="fr-header__service">
            <h1 class="fr-header__service-title"><?php echo $this->NAME; ?></h1>
            <p class="fr-header__service-tagline">
              Plateforme de Signature Gironde Numerique
            </p>
          </div>
        </div>
      </div>
    </div>
    <!-- Navigation principale, même si vide, le laisser pour éviter une erreur JS du DSFR -->
    <div class="fr-header__menu fr-modal" id="modal-main-menu" aria-labelledby="fr-btn-menu-mobile">
      <div class="fr-container">
        <button class="fr-btn--close fr-btn" aria-controls="modal-main-menu" title="Fermer">
          Fermer
        </button>
        <div class="fr-header__menu-links"></div>
        <nav class="fr-nav" id="navigation-main-menu" role="navigation" aria-label="Menu principal">
          <ul class="fr-nav__list"></ul>
        </nav>
      </div>
    </div>
  </header>

  <main class="fr-container fr-mt-15w">
    <div class="fr-grid-row fr-grid-row--center fr-grid-row--gutters">
      <div class="fr-col-12 fr-col-md-6">
        <h2>Vérification d'horodatage</h2>

        <p>
          Le formulaire ci-dessous permet de vérifier un horadatage électronique de type <b>TSA</b> fournie par la plateforme <a href="/"><b><?php echo $this->NAME; ?></b></a>.
        </p>

        <p>
          Vous devez fournir pour cela, le fichier original ainsi que le fichier d'horodatage.
        </p>

        <form novalidate="novalidate" id="frmverif" class="form-horizontal" enctype="multipart/form-data" method="post" action="/vrf/DoVerifTSA" target="_top">

          <div class="fr-input-group fr-upload-group">
            <label for="FICORIG" class="fr-label">Fichier original (.json) :</label>
            <input name="FICORIG" id="FICORIG" type="file" class="fr-upload">
          </div>

          <div class="fr-input-group fr-upload-group">
            <label for="FICTSA" class="fr-label">Fichier horodatage (.tsa) :</label>
            <input name="FICTSA" id="FICTSA" type="file">
          </div>

          <div class="fr-input-group fr-upload-group">
            <label for="FICCA" class="fr-label">Autorité de certification (.pem) :</label>
            <input name="FICCA" id="FICCA" type="file">
          </div>

          <div class="fr-mt-3w">
            <button class="fr-btn" type="submit">Vérifier</button>
          </div>
        </form>
      </div>
    </div>
  </main>
</body>

</html>
